QGIS Application - Bug report #7098
QGIS forms invalid WFS request when partially formed
2013-02-04 09:04 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 16179
Description

When setting up a WFS request, and entering a URL, | entered this (for testing purposes):

http://wppgeog3:8082/geoserver/wfs?version=1.1.0

It turns out the request QGIS is sending to the server is:

http://wppgeog3:8082/geoserver/wfs?version=1.1.0&#38;SERVICE=WFS&#38;REQUEST=GetCapabilities&#38;VERSION=1.0.0

Note that "version" is in there twice.

If I manually set service:
http://wppgeog3:8082/geoserver/wfs?SERVICE=WFS&#38;version=1.3.0

| get a Java error (attached).

| realise I'm not doing it "right", but QGIS should still be able to handle these cases properly, as there's no reason the user can't specify
those two parameters (they're always going to be the same after all).

Using NextGIS built from master.

History

#1 - 2013-02-04 09:15 AM - Jiirgen Fischer
- Category set to Web Services clients/WFS

#2 - 2013-02-04 12:35 PM - Marco Hugentobler
Hm, that would probably mean testing the base urls against a parameter list (also in WMS, WCS). Imagine a user that enters a BBOX parameter in a WMS
base url...
#3 - 2013-02-05 01:14 AM - Jonathan Moules
The options are probably:
1 Cut the URL back to the bit before the ? and accept none of the parameters.
2 Keep some parameters

3 Keep all parameters

I'd be inclined to suggest (2) - keep "version" if specified but not the rest. This way the user can specify which version of WMS/WFS/WCS to use if they
want.

#4 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
